Reject personalization until CORE-PERSONALIZATION-CONTRACT-1 is implemented.
Requires authentication and operates on user-scoped data.
AuthorizationBearer <token>
Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to update user personalization settings.
Response Body
application/json
application/json
curl -X POST "https://example.com/memory/personalize" \ -H "Content-Type: application/json" \ -d '{}'{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}null